<?php

Route::group([
    'prefix' => 'admin',
    'namespace' => 'Drp\SimpleCms\Http\Controllers\Admin',
    'middleware' => config('simple_cms.admin_middleware'),
], function () {


    Route::get('/review', 'ReviewController@index')
        ->name('admin.content.review.index');

    Route::get('/' . config('simple_cms.admin_url_prefix') . '/{type}/manage/{contentId}', 'ManageContentController@index')
        ->name('admin.content.manage');

    Route::get('/' . config('simple_cms.admin_url_prefix') . '/{type}', 'ContentListingController@index')
        ->name('admin.content.index');

    Route::post('/' . config('simple_cms.admin_url_prefix') . '/{type}/', 'ManageContentController@store')
        ->name('admin.content.store');

    Route::put('/' . config('simple_cms.admin_url_prefix') . '/{type}/{contentId}', 'ManageContentController@update')
        ->name('admin.content.update');

    Route::delete('/' . config('simple_cms.admin_url_prefix') . '/{type}/{contentId}', 'ManageContentController@destroy')
        ->name('admin.content.destroy');

    Route::get('/' . config('simple_cms.admin_url_prefix') . '/{type}/publish/{contentId}', 'PublishController')
        ->name('admin.content.publish');

    Route::get('/' . config('simple_cms.admin_url_prefix') . '/{type}/review/{contentId}', 'ReviewController@update')
        ->name('admin.content.review');

    Route::get('/' . config('simple_cms.admin_url_prefix') . '/{type}/reset/{contentId}', 'ResetController')
        ->name('admin.content.reset');

    Route::get('/preview/enable/{previewableId?}/{previewableType?}', 'PreviewController@enable')
        ->name('admin.preview.enable');

    Route::get('/preview/disable', 'PreviewController@disable')
        ->name('admin.preview.disable');

});



